> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Post Length

> Calculate the weighted length of a post string, check if the post length is valid, and get the maximum length allowed for each social network.

Calculate the weighted length, or character count, of a post string for Bluesky, Facebook, Google Business Profile, Instagram, LinkedIn, Pinterest, Reddit, Threads, TikTok, X/Twitter, and YouTube. Checks if the post length is valid and returns the maximum length allowed for each social network.

Special characters, such as ü, ø, or 😊, have a higher character count value (unicode).

This check is automatically done with the /post endpoint.

> [!NOTE]
>
> The weighted length is an estimate calculated by Ayrshare. Social networks may have slightly different character counts based on their own calculation methods.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`

## Body Parameters

**post** `string` *required*

Post string to calculate the length.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API Key" \
-H 'Content-Type: application/json' \
-d '{"post": "🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩"}' \
-X POST https://api.ayrshare.com/api/post/checkPostWeight
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";
const post = "🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩";

fetch("https://api.ayrshare.com/api/post/checkPostWeight", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    Authorization: `Bearer ${API_KEY}`,
  },
  body: JSON.stringify({ post }),
})
  .then((res) => res.json())
  .then((json) => console.log(json))
  .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'post': '🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩'}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'}

r = requests.post('https://api.ayrshare.com/api/post/checkPostWeight',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php
require 'vendor/autoload.php';   // Composer auto-loader using Guzzle. See .../guzzlephp.org/en/stable/overview.html

$client = new GuzzleHttp\Client();
$res = $client->request(
    'POST',
    'https://api.ayrshare.com/api/post/checkPostWeight',
    [
        'headers' => [
            'Content-Type'      => 'application/json',
            'Authorization'     => 'Bearer API_KEY'
        ],
        'json' => [
            'post' => ['🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩']
        ]
    ]
);

echo json_encode(json_decode($res->getBody()), JSON_PRETTY_PRINT);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace CheckPostWeightRequest_csharp
{
    class CheckPostWeight
    {
        static async Task Main(string[] args)
        {
            string API_KEY = "API_KEY";
            string url = "https://api.ayrshare.com/api/post/checkPostWeight";

            using (var httpClient = new HttpClient())
            {
                httpClient.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

                var content = new StringContent(
                    "{\"post\" : \"🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩🍩\"}", 
                    Encoding.UTF8, 
                    "application/json"
                );

                try
                {
                    var response = await httpClient.PostAsync(url, content);
                    response.EnsureSuccessStatusCode();
                    string responseBody = await response.Content.ReadAsStringAsync();
                    Console.WriteLine(responseBody);
                }
                catch (HttpRequestException e)
                {
                    Console.WriteLine($"Error: {e.Message}");
                }
            }
        }
    }
}
```

```json 200: OK Character length results theme={"system"}
{
    "twitterWeightedLength": 2932,
    "blueskyWeightedLength": 199,
    "instagramWeightedLength": 3015,
    "tikTokWeightedLength": 3017,
    "linkedInWeightedLength": 3015,
    "facebookWeightedLength": 3015,
    "pinterestWeightedLength": 3015,
    "youtubeWeightedLength": 3015,
    "gmbWeightedLength": 3015,
    "twitterValid": false,
    "twitterLongValid": true,
    "facebookValid": true,
    "gmbValid": false,
    "instagramValid": false,
    "linkedInValid": false,
    "pinterestValid": false,
    "redditValid": true,
    "tikTokValid": false,
    "youtubeValid": true,
    "maxCharLimits": {
        "bluesky": 300,
        "facebook": 63206,
        "gmb": 1500,
        "instagram": 2200,
        "linkedin": 3000,
        "pinterest": 500,
        "reddit": 10000,
        "tiktok": 2200,
        "twitter": 280,
        "twitterLong": 25000,
        "youtube": 5000
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.